# Class Dispute

#### Hierarchy

- unknown
  - Dispute

- Defined in src/protobuf/pb_pb.d.ts:3017
- Defined in src/protobuf/pb_pb.d.ts:3141

#####
Index

### Constructors

constructor

### Methods

addChatMessage
clearAgentPubKeyRing
clearChatMessageList
clearContract
clearDisputeResult
clearExtraDataMap
clearMakerPaymentAccountPayload
clearTakerPaymentAccountPayload
clearTraderPubKeyRing
getAgentPubKeyRing
getChatMessageList
getContract
getContractAsJson
getContractHash
getContractHash_asB64
getContractHash_asU8
getDelayedPayoutTxId
getDisputeOpenerIsBuyer
getDisputeOpenerIsMaker
getDisputePayoutTxId
getDisputeResult
getDonationAddressOfDelayedPayoutTx
getExtraDataMap
getId
getIsClosed
getIsOpener
getIsSupportTicket
getMakerContractSignature
getMakerContractSignature_asB64
getMakerContractSignature_asU8
getMakerPaymentAccountPayload
getMediatorsDisputeResult
getOpeningDate
getPayoutTxId
getPayoutTxSerialized
getPayoutTxSerialized_asB64
getPayoutTxSerialized_asU8
getState
getSupportType
getTakerContractSignature
getTakerContractSignature_asB64
getTakerContractSignature_asU8
getTakerPaymentAccountPayload
getTradeDate
getTradeId
getTradePeriodEnd
getTraderId
getTraderPubKeyRing
hasAgentPubKeyRing
hasContract
hasDisputeResult
hasMakerPaymentAccountPayload
hasTakerPaymentAccountPayload
hasTraderPubKeyRing
serializeBinary
setAgentPubKeyRing
setChatMessageList
setContract
setContractAsJson
setContractHash
setDelayedPayoutTxId
setDisputeOpenerIsBuyer
setDisputeOpenerIsMaker
setDisputePayoutTxId
setDisputeResult
setDonationAddressOfDelayedPayoutTx
setId
setIsClosed
setIsOpener
setIsSupportTicket
setMakerContractSignature
setMakerPaymentAccountPayload
setMediatorsDisputeResult
setOpeningDate
setPayoutTxId
setPayoutTxSerialized
setState
setSupportType
setTakerContractSignature
setTakerPaymentAccountPayload
setTradeDate
setTradeId
setTradePeriodEnd
setTraderId
setTraderPubKeyRing
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Dispute(): Dispute

- #### Returns Dispute

  Inherited from jspb.Message.constructor

## Methods

### addChatMessage

- addChatMessage(value?: ChatMessage, index?: number): ChatMessage

- #### Parameters

  - ##### `Optional` value: ChatMessage

  - ##### `Optional` index: number

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:3099

### clearAgentPubKeyRing

- clearAgentPubKeyRing(): Dispute

- #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3091

### clearChatMessageList

- clearChatMessageList(): Dispute

- #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3098

### clearContract

- clearContract(): Dispute

- #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3050

### clearDisputeResult

- clearDisputeResult(): Dispute

- #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3107

### clearExtraDataMap

- clearExtraDataMap(): Dispute

- #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3131

### clearMakerPaymentAccountPayload

- clearMakerPaymentAccountPayload(): Dispute

- #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3081

### clearTakerPaymentAccountPayload

- clearTakerPaymentAccountPayload(): Dispute

- #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3086

### clearTraderPubKeyRing

- clearTraderPubKeyRing(): Dispute

- #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3042

### getAgentPubKeyRing

- getAgentPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:3088

### getChatMessageList

- getChatMessageList(): ChatMessage[]

- #### Returns ChatMessage[]

  - Defined in src/protobuf/pb_pb.d.ts:3096

### getContract

- getContract(): undefined | Contract

- #### Returns undefined | Contract

  - Defined in src/protobuf/pb_pb.d.ts:3047

### getContractAsJson

- getContractAsJson(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3065

### getContractHash

- getContractHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3052

### getContractHash_asB64

- getContractHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3054

### getContractHash_asU8

- getContractHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3053

### getDelayedPayoutTxId

- getDelayedPayoutTxId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3118

### getDisputeOpenerIsBuyer

- getDisputeOpenerIsBuyer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3030

### getDisputeOpenerIsMaker

- getDisputeOpenerIsMaker(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3033

### getDisputePayoutTxId

- getDisputePayoutTxId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3109

### getDisputeResult

- getDisputeResult(): undefined | DisputeResult

- #### Returns undefined | DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3104

### getDonationAddressOfDelayedPayoutTx

- getDonationAddressOfDelayedPayoutTx(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3121

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:3130

### getId

- getId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3021

### getIsClosed

- getIsClosed(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3101

### getIsOpener

- getIsOpener(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3027

### getIsSupportTicket

- getIsSupportTicket(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3093

### getMakerContractSignature

- getMakerContractSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3068

### getMakerContractSignature_asB64

- getMakerContractSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3070

### getMakerContractSignature_asU8

- getMakerContractSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3069

### getMakerPaymentAccountPayload

- getMakerPaymentAccountPayload(): undefined | PaymentAccountPayload

- #### Returns undefined | PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3078

### getMediatorsDisputeResult

- getMediatorsDisputeResult(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3115

### getOpeningDate

- getOpeningDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3036

### getPayoutTxId

- getPayoutTxId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3062

### getPayoutTxSerialized

- getPayoutTxSerialized(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3057

### getPayoutTxSerialized_asB64

- getPayoutTxSerialized_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3059

### getPayoutTxSerialized_asU8

- getPayoutTxSerialized_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3058

### getState

- getState(): Dispute.State

- #### Returns Dispute.State

  - Defined in src/protobuf/pb_pb.d.ts:3124

### getSupportType

- getSupportType(): SupportType

- #### Returns SupportType

  - Defined in src/protobuf/pb_pb.d.ts:3112

### getTakerContractSignature

- getTakerContractSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3073

### getTakerContractSignature_asB64

- getTakerContractSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3075

### getTakerContractSignature_asU8

- getTakerContractSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3074

### getTakerPaymentAccountPayload

- getTakerPaymentAccountPayload(): undefined | PaymentAccountPayload

- #### Returns undefined | PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3083

### getTradeDate

- getTradeDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3044

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3018

### getTradePeriodEnd

- getTradePeriodEnd(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3127

### getTraderId

- getTraderId(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3024

### getTraderPubKeyRing

- getTraderPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:3039

### hasAgentPubKeyRing

- hasAgentPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3090

### hasContract

- hasContract(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3049

### hasDisputeResult

- hasDisputeResult(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3106

### hasMakerPaymentAccountPayload

- hasMakerPaymentAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3080

### hasTakerPaymentAccountPayload

- hasTakerPaymentAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3085

### hasTraderPubKeyRing

- hasTraderPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3041

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3133

### setAgentPubKeyRing

- setAgentPubKeyRing(value?: PubKeyRing): Dispute

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3089

### setChatMessageList

- setChatMessageList(value: ChatMessage[]): Dispute

- #### Parameters

  - ##### value: ChatMessage[]

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3097

### setContract

- setContract(value?: Contract): Dispute

- #### Parameters

  - ##### `Optional` value: Contract

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3048

### setContractAsJson

- setContractAsJson(value: string): Dispute

- #### Parameters

  - ##### value: string

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3066

### setContractHash

- setContractHash(value: string | Uint8Array): Dispute

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3055

### setDelayedPayoutTxId

- setDelayedPayoutTxId(value: string): Dispute

- #### Parameters

  - ##### value: string

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3119

### setDisputeOpenerIsBuyer

- setDisputeOpenerIsBuyer(value: boolean): Dispute

- #### Parameters

  - ##### value: boolean

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3031

### setDisputeOpenerIsMaker

- setDisputeOpenerIsMaker(value: boolean): Dispute

- #### Parameters

  - ##### value: boolean

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3034

### setDisputePayoutTxId

- setDisputePayoutTxId(value: string): Dispute

- #### Parameters

  - ##### value: string

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3110

### setDisputeResult

- setDisputeResult(value?: DisputeResult): Dispute

- #### Parameters

  - ##### `Optional` value: DisputeResult

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3105

### setDonationAddressOfDelayedPayoutTx

- setDonationAddressOfDelayedPayoutTx(value: string): Dispute

- #### Parameters

  - ##### value: string

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3122

### setId

- setId(value: string): Dispute

- #### Parameters

  - ##### value: string

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3022

### setIsClosed

- setIsClosed(value: boolean): Dispute

- #### Parameters

  - ##### value: boolean

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3102

### setIsOpener

- setIsOpener(value: boolean): Dispute

- #### Parameters

  - ##### value: boolean

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3028

### setIsSupportTicket

- setIsSupportTicket(value: boolean): Dispute

- #### Parameters

  - ##### value: boolean

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3094

### setMakerContractSignature

- setMakerContractSignature(value: string | Uint8Array): Dispute

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3071

### setMakerPaymentAccountPayload

- setMakerPaymentAccountPayload(value?: PaymentAccountPayload): Dispute

- #### Parameters

  - ##### `Optional` value: PaymentAccountPayload

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3079

### setMediatorsDisputeResult

- setMediatorsDisputeResult(value: string): Dispute

- #### Parameters

  - ##### value: string

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3116

### setOpeningDate

- setOpeningDate(value: number): Dispute

- #### Parameters

  - ##### value: number

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3037

### setPayoutTxId

- setPayoutTxId(value: string): Dispute

- #### Parameters

  - ##### value: string

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3063

### setPayoutTxSerialized

- setPayoutTxSerialized(value: string | Uint8Array): Dispute

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3060

### setState

- setState(value: Dispute.State): Dispute

- #### Parameters

  - ##### value: Dispute.State

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3125

### setSupportType

- setSupportType(value: SupportType): Dispute

- #### Parameters

  - ##### value: SupportType

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3113

### setTakerContractSignature

- setTakerContractSignature(value: string | Uint8Array): Dispute

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3076

### setTakerPaymentAccountPayload

- setTakerPaymentAccountPayload(value?: PaymentAccountPayload): Dispute

- #### Parameters

  - ##### `Optional` value: PaymentAccountPayload

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3084

### setTradeDate

- setTradeDate(value: number): Dispute

- #### Parameters

  - ##### value: number

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3045

### setTradeId

- setTradeId(value: string): Dispute

- #### Parameters

  - ##### value: string

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3019

### setTradePeriodEnd

- setTradePeriodEnd(value: number): Dispute

- #### Parameters

  - ##### value: number

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3128

### setTraderId

- setTraderId(value: number): Dispute

- #### Parameters

  - ##### value: number

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3025

### setTraderPubKeyRing

- setTraderPubKeyRing(value?: PubKeyRing): Dispute

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3040

### toObject

- toObject(includeInstance?: boolean): Dispute.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Dispute.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3134

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Dispute

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3137

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Dispute, reader: BinaryReader): Dispute

- #### Parameters

  - ##### message: Dispute

  - ##### reader: BinaryReader

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:3138

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Dispute, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Dispute

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:3136

### `Static` toObject

- toObject(includeInstance: boolean, msg: Dispute): Dispute.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Dispute

  #### Returns Dispute.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3135

Generated using TypeDoc